import abc


class IConnection:
	@abc.abstractmethod
	def on_connect(self, loop):
		pass

	@abc.abstractmethod
	def on_disconnect(self):
		pass

	@abc.abstractmethod
	def on_recv(self, data):
		pass

	@abc.abstractmethod
	def on_send(self):
		return None
